#ifndef _CHANNEL_H
#define _CHANNEL_H

#include <glib.h>

/**
 */
typedef struct
{
    gchar *title;
    gchar *url;
    gchar *desc;
}ChannelItem;


ChannelItem *rss_channel_item_new(gchar *title, gchar *url, gchar *desc);
void rss_channel_item_free(ChannelItem *item);

/**
 */
typedef struct
{
    gchar *title;
    gchar *url;
    gchar *desc;

    guint count;
    ChannelItem *items[100]; //TODO:

    gboolean have_html;
    gchar *html;

}Channel;

Channel *rss_channel_new(gchar *title, gchar *url, gchar *desc);
Channel *rss_channel_new_copy(Channel *c);
void rss_channel_free(Channel *channel);

void rss_channel_clear(Channel *channel);
void rss_channel_add_item(Channel *channel, ChannelItem *item);
guint rss_channel_items_count(Channel *channel);
ChannelItem *rss_channel_get_item(Channel *channel, guint idx);

void rss_channel_update(Channel *channel);

void rss_channel_generate_html(Channel *channel);
gchar *rss_channel_html(Channel *channel);


#endif //_CHANNEL_H
